=== debian/changelog ===
kdeclarative (5.44.0-0ubuntu3) bionic; urgency=medium

  * qml-module-org-kde-kcm: Add missing depends on qml-module-org-kde-
    kirigami2

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Apr 2018 08:44:53 +0100

kdeclarative (5.44.0-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:59:32 -0500

kdeclarative (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:49 +0000

kdeclarative (5.43.0-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:48:36 -0600

kdeclarative (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:30 +0000

kdeclarative (5.42.0-0ubuntu1) bionic; urgency=medium

  * Add package for new qml module qml-module-org-kde-kcm
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:34 +0000

kdeclarative (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Added symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:04 -0600

kdeclarative (5.40.0-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:36 +0000
