=== debian/control ===
Source: kdeclarative
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libepoxy-dev,
               libkf5config-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5package-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdeclarative
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeclarative

Package: kpackagelauncherqml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: commandline tool for launching kpackage QML application
 A small commandline tool to launch KPackages (QML applications).

Package: libkf5calendarevents5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- calendarevents
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio

Package: libkf5declarative-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 This package contains the translation files.

Package: libkf5declarative-dev
Architecture: any
Section: libdevel
Depends: libkf5calendarevents5 (= ${binary:Version}),
         libkf5declarative5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.44.0~),
         libkf5package-dev (>= 5.44.0~),
         libkf5quickaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         qtdeclarative5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kdeclarative
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.
 .
 Contains development files for kdeclarative.

Package: libkf5declarative5
Architecture: any
Multi-Arch: same
Depends: libkf5declarative-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kpackagelauncherqml
Description: provides integration of QML and KDE frameworks
 Framework providing integration of QML and other KDE frameworks such
 as making i18n available and using kio.

Package: libkf5quickaddons5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provides integration of QML and KDE frameworks -- quickaddons
 Framework providing optimized image texture caching.

Package: qml-module-org-kde-draganddrop
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - draganddrop
 Provides QML draganddrop functionality.

Package: qml-module-org-kde-kcm
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kcm
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kconfig
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE Frameworks - kconfig
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kcoreaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - kcoreaddons
 Provides access from QML to libkf5coreaddons classes.

Package: qml-module-org-kde-kio
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE Frameworks - kio
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kquickcontrols
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE frameworks - kquickcontrols
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.

Package: qml-module-org-kde-kquickcontrolsaddons
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-kf5declarative-5.0
Replaces: qtdeclarative5-kf5declarative (<< 5.0.0-0ubuntu1),
          qtdeclarative5-kf5declarative-5.0,
Description: provides integration of QML and KDE Frameworks - kquickcontrolsaddons
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-kwindowsystem
Architecture: any
Multi-arch: same
Depends: libkf5declarative5 (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provides integration of QML and KDE frameworks - kwindowsystem
 Provides access from QML to libkf5windowsystem classes.

Package: qtdeclarative5-kf5declarative
Architecture: all
Section: oldlibs
Priority: optional
Depends: qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends},
Description: transitional package for new QML module packages
 This is a transitional dummy package for the new QML module packages
 provided by kf5declarative, which can be safely removed.
